MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000042Kalkules[All Projects] Feature requestpublic2014-06-12 13:452017-03-21 15:16
Reporterguest 
Assigned ToJardo 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionAll
Product Version1.9.4.23 
Target Version1.9.5.24Fixed in Version1.9.5.24 
Summary0000042: Settings "Insert last result (ANS) and operator" not working for SIN, COS, LOG, ABS, 1/x, x2, x3, etc.
Description- Setting "Insert last result (ANS) and operator" works fine for "+", "-", etc.
- but the setting doesn't work for SIN, COS, LOG, x2, x3, xY, etc (all functions with operator in front of number)
- It would be great, if "ANS" will automatically be added after the operator, when "inserting an operator after calculation"
Steps To Reproduce- "5*5" <enter>
- result: 25 (perfect)
- [I want to calculate further: sin(25), thus...]
- pressing button: SIN <enter> [-> "SIN(" ]
- result: error "empty parenthesis"
----------------------------
Would be great, if pressing button SIN (after a finished calculation)
would lead to
- "sin(25" [or more common: "sin(ANS" ]
(if setting "Insert last result (ANS) and operator" is chosen)

This should be handled for all functions like
- SIN
- COS
- eX
- ln
- x2
- x3
- etc.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-06-12 13:45 guest New Issue
2014-07-08 18:30 Jardo Assigned To => Jardo
2014-07-08 18:30 Jardo Status new => acknowledged
2014-07-08 18:30 Jardo Target Version => 1.9.6.25
2014-07-11 20:38 Jardo Status acknowledged => closed
2014-07-11 20:38 Jardo Resolution open => fixed
2014-07-11 20:38 Jardo Fixed in Version => 1.9.5.24
2014-07-11 20:38 Jardo Target Version 1.9.6.25 => 1.9.5.24
2016-01-09 15:15 guest Status closed => feedback
2016-01-09 15:15 guest Resolution fixed => reopened
2017-03-21 15:16 Jardo Status feedback => closed
2017-03-21 15:16 Jardo Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker